var schedule = [
	[ "1", "テスト", "2010/03/01 10:10" ],
	[ "2", "テスト", "2010/03/01 10:11" ]
]

Ext.onReady(function(){

	new Ext.ux.ScheduleCalendar({
		width: 600,
		height: 450,
		margins: "10 10 60 10",
		renderTo: "schedulecalendar",
		store: new Ext.data.Store({
			autoLoad: true,
			proxy: new Ext.data.HttpProxy({
				url: "schedule.xml",
				method: "get"
			}),
			reader: new Ext.data.XmlReader({
				record: "item",
				id: "id"
			},[
				{ name: "id", mapping: "id" },
				{ name: "subject", mapping: "title" },
				{ name: "startdate", mapping: "date" }
			])
		}),
//		data: schedule,
		listeners: {"scheduleselect": function( element ){
			// scheduleselect event
			debugger;
			Ext.MessageBox.alert( "アラート", "ID: " + element.parameter );
		}},
		handler: function( e, date ) {
			// dayclick event
			Ext.MessageBox.alert( "アラート", date.format("Y/m/d") + "をクリックしました。" );
		}
	});

	new Ext.ux.ScheduleCalendar({
		width: 600,
		height: 450,
		margins: "10 10 60 10",
		renderTo: "schedulecalendar2array",
		data: schedule,
		listeners: {"scheduleselect": function( element ){
			// scheduleselect event
			Ext.MessageBox.alert( "アラート", "ID: " + element.parameter );
		}},
		handler: function( e, date ) {
			// dayclick event
			Ext.MessageBox.alert( "アラート", date.format("Y/m/d") + "をクリックしました。" );
		}
	});

});